Page MenuHomePhabricator

MediaWiki:Pagetitle not obeyed on English Wikivoyage when pagebanner present
Closed, ResolvedPublic

Description

English Wikivoyage pages with the pagebanner extension enabled are not setting the HTML <title> tag correctly. See for example https://en.wikivoyage.org/wiki/Yosemite_National_Park - the title should be "Yosemite National Park – Travel guide at Wikivoyage", but it is just "Yosemite National Park".

The MediaWiki:Pagetitle value is "$1 – Travel guide at {{SITENAME}}" - https://en.wikivoyage.org/wiki/MediaWiki:Pagetitle.

Mainspace pages without page banners have their title tags set correctly - see https://en.wikivoyage.org/wiki/Previous_Featured_travel_topics which has a title of "Previous Featured travel topics – Travel guide at Wikivoyage".

This bug has serious SEO implications, so any attention would be much appreciated.

Event Timeline

Wrh2 created this task.Sep 5 2015, 1:28 AM
Wrh2 raised the priority of this task from to High.
Wrh2 updated the task description. (Show Details)
Wrh2 added a project: Wikidata-Page-Banner.
Wrh2 added a subscriber: Wrh2.
Restricted Application added a project: Wikidata. · View Herald TranscriptSep 5 2015, 1:28 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Wrh2 set Security to None.Sep 5 2015, 1:34 AM
Wrh2 added a subscriber: Jdlrobson.

Change 236250 had a related patch set uploaded (by Sumit):
WPB title should use Mediawiki:Pagetitle

https://gerrit.wikimedia.org/r/236250

Sumit added a subscriber: Sumit.Sep 5 2015, 6:17 AM

@Wrh2, thanks for reporting, I've added a patch. Would be fixed soon.

Wrh2 added a comment.Sep 5 2015, 6:23 AM

Thanks for the quick response & patch!

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Sep 5 2015, 9:39 AM

Change 236250 merged by jenkins-bot:
WPB title should use Mediawiki:Pagetitle

https://gerrit.wikimedia.org/r/236250

Jdlrobson closed this task as Resolved.Sep 7 2015, 5:18 PM
Jdlrobson claimed this task.

Confirmed fixed on beta labs (note cached pages will still exhibit problem)

Fix should roll out to Wikivoyage Wednesday.

Wrh2 added a comment.Sep 10 2015, 1:55 AM

The fix seems to be working on Wikivoyage, this issue can be closed.